"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("./utils");
module.exports = function (
// Object of sites
sites, 
// Specific devices if different to default
inputDevices) {
    var _a, _b;
    if (inputDevices === void 0) { inputDevices = utils_1.defaultDevices; }
    // Collate PLaywright projects
    var projects = [];
    // Set the env
    var env = (_a = process.env.PLAYWRIGHT_ENV) !== null && _a !== void 0 ? _a : 'local';
    // Loop through defined sites
    for (var _i = 0, sites_1 = sites; _i < sites_1.length; _i++) {
        var site = sites_1[_i];
        // Create a site for each default device
        for (var _c = 0, _d = ((_b = site.devices) !== null && _b !== void 0 ? _b : inputDevices); _c < _d.length; _c++) {
            var device = _d[_c];
            projects.push((0, utils_1.convertSiteToPlaywrightProject)(site, device, env));
        }
    }
    // Return Playwright configuration
    return {
        /* Run tests in files in parallel */
        fullyParallel: true,
        /* Fail the build on CI if you accidentally left test.only in the source code. */
        forbidOnly: !!process.env.CI,
        /* Retry on CI only */
        retries: process.env.CI ? 2 : 0,
        /* Opt out of parallel tests on CI. */
        workers: process.env.CI ? 1 : undefined,
        /* Reporter to use. See https://playwright.dev/docs/test-reporters */
        reporter: [
            ['list', { printSteps: true }],
            ['html']
        ],
        /* Shared settings for all the projects below. See https://playwright.dev/docs/api/class-testoptions. */
        use: {
            /* Base URL to use in actions like `await page.goto('/')`. */
            // baseURL: 'http://127.0.0.1:3000',
            /* Collect trace when retrying the failed test. See https://playwright.dev/docs/trace-viewer */
            trace: 'on-first-retry',
            screenshot: 'only-on-failure'
        },
        /* Configure projects for major browsers */
        projects: projects
    };
};
