"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.slugify = exports.convertSiteToPlaywrightProject = exports.defaultDevices = void 0;
var test_1 = require("@playwright/test");
// What default devices should we test on
exports.defaultDevices = ['Desktop Edge', 'iPhone 14'];
// Convert a Site object to a Playwright Project
function convertSiteToPlaywrightProject(site, device, env) {
    if (env === void 0) { env = 'local'; }
    // Check we have a domain with that env, otherwise fallback to production
    if (site.envs[env] === undefined) {
        env = 'production';
    }
    return __assign(__assign({}, site.project), { 
        // Give it a concatenated name
        name: "".concat(site.label, " - ").concat(env, " [").concat(device, "]"), 
        // Set the device and which URL to use as a base
        use: __assign({ baseURL: site.envs[env] }, test_1.devices[device]) });
}
exports.convertSiteToPlaywrightProject = convertSiteToPlaywrightProject;
function slugify(str) {
    return String(str)
        .normalize('NFKD') // split accented characters into their base characters and diacritical marks
        .replace(/[\u0300-\u036f]/g, '') // remove all the accents, which happen to be all in the \u03xx UNICODE block.
        .trim() // trim leading or trailing whitespace
        .toLowerCase() // convert to lowercase
        .replace(/[^a-z0-9 -]/g, '') // remove non-alphanumeric characters
        .replace(/\s+/g, '-') // replace spaces with hyphens
        .replace(/-+/g, '-'); // remove consecutive hyphens
}
exports.slugify = slugify;
